b02tk1/urls.py
from django.contrib import admin
from django.urls import include, path

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('main.urls')),
]

main/urls.py
from django.urls import path
from . import views

app_name = 'main'

urlpatterns = [
    path('', views.home, name='home'),
    path('rumah-sakit-rujukan', views.rs_rujukan, name='rumah-sakit-rujukan'),
    path('pencegahan-covid-19', views.pencegahan, name='pencegahan-covid-19'),
    path('test', views.covidtest, name='test'),
    path('result', views.hasiltest, name='result'),
    path('add_comment', views.add_comment, name='add_comment'),
    path('delete/<int:nomor>', views.deletecomment, name='delete'),
    path('pasien', views.get_pasien, name='pasien'),
    path('tambah-pasien', views.add_pasien.as_view(), name='tambah-pasien'),
    path('hapus-pasien', views.delete_pasien.as_view(), name='hapus-pasien'),
    path('pasien/<str:name>', views.get_daftar_pasien, name='data-pasien')
]

main/models.py
from django.db import models

# Create your models here.
class jawabanTest(models.Model):
	question1 = models.BooleanField()
	question2 = models.BooleanField()
	question3 = models.BooleanField()

class Comment(models.Model):
	email = models.EmailField(null=True)
	nama = models.CharField(max_length=10000)
	komentar = models.TextField()
	created = models.DateTimeField(auto_now_add=True)

class Pasien(models.Model):
	nama_pasien = models.CharField(max_length=50, primary_key=True, default=None)
	umur = models.IntegerField(default=None)
	gender = models.CharField(max_length=10, choices=(('Perempuan', 'P',),('Laki-laki', 'L',),), default = None)
	pekerjaan = models.CharField(max_length=30, default=None)
	alamat = models.TextField(blank=True, default=None)
	berat_badan = models.IntegerField(default=None)
	tinggi_badan = models.IntegerField(default=None)
	keluhan = models.TextField(blank=True, default=None)
	email = models.CharField(max_length=50, default=None)

main/forms.py
from django import forms
from .models import jawabanTest, Comment, Pasien
from crispy_forms.helper import FormHelper

class CreateCovidTest(forms.Form):
	question1 = forms.BooleanField(label = 'Apakah kamu pernah melakukan tes usap tenggorok atau hidung dengan RT-PCR hasilnya positif?', required=False)
	question2 = forms.BooleanField(label = 'Apakah ada gejala ISPA seperti demam >38C, batuk pilek, hidung tersumbat, nyeri menelan, atau sesak nafas?', required=False)
	question3 = forms.BooleanField(label = 'Apakah kamu tinggal di wilayah transmisi lokal atau baru saja pulang berpergian ke negara yang melaporkan transmisi lokal dalam 14hr terakhir?', required=False)

class CommentForm(forms.ModelForm):
	class Meta:
		model = Comment
		fields = '__all__'

class tambah_pasien(forms.ModelForm):
    class Meta:
        model = Pasien
        fields = '__all__'

class hapus_pasien(forms.Form):
    nama = forms.ChoiceField(choices=(), required=True, label="Nama Pasien")
    def __init__(self, nama, *args, **kwargs):
        super(hapus_pasien, self).__init__(*args, **kwargs)
        self.helper = FormHelper()
        self.fields["nama"].choices = nama

main/views.py
from django.shortcuts import render, redirect
from django.views.generic import TemplateView
from django.http import HttpResponseRedirect
from .models import jawabanTest, Comment, Pasien
from .forms import CreateCovidTest, CommentForm, tambah_pasien, hapus_pasien


def home(request):
    return render(request, 'main/home.html')

def rs_rujukan(request):
    return render(request, 'main/rs.html')

def pencegahan(request):
	persons = Comment.objects.all()
	response = {
		'persons':persons,
		'CommentForm':CommentForm
	}
	return render(request, 'main/pencegahan.html',response)

def covidtest(request):
	response = {'covidtest': CreateCovidTest()}
	return render(request,'main/covidtest.html', response)

def hasiltest(request):
	if(request.method == 'POST'):
		form = CreateCovidTest(request.POST)
		if form.is_valid():
			question1 = form.cleaned_data['question1']
			
			if(question1 == True):
				return render(request, 'main/positif.html')
			else:
				return render(request, 'main/negatif.html')

def add_comment(request):
	form = CommentForm(request.POST or None)
	if (form.is_valid and request.method == 'POST') :
		form.save()
		return HttpResponseRedirect('/pencegahan-covid-19')
	else:
		return HttpResponseRedirect('/')

def deletecomment(request,nomor):
	Comment.objects.filter(id=nomor).delete()
	return HttpResponseRedirect('/pencegahan-covid-19')

class add_pasien(TemplateView):
    namaTemplate = "main/tambah_pasien.html"
    def get(self, req):
        daftar_pasien = [(nama_pasien.nama_pasien, nama_pasien.nama_pasien) for nama_pasien in Pasien.objects.all()]
        form = tambah_pasien()
        form_delete = hapus_pasien(daftar_pasien)
        return render(req, self.namaTemplate, {"form": form, "delete": form_delete})
    
    def post(self, req):
        form = tambah_pasien(req.POST)
        if form.is_valid():
            form.save()
            return redirect("main:pasien")
        return render(req, self.namaTemplate, {"form": form})

class delete_pasien(TemplateView):
    namaTemplate = "main/tambah_pasien.html"
    def get(self, req):
        daftar_pasien = [(nama_pasien.nama_pasien, nama_pasien.nama_pasien) for nama_pasien in Pasien.objects.all()]
        form = tambah_pasien()
        form_delete = hapus_pasien(daftar_pasien)
        return render(req, self.namaTemplate, {"form": form, "delete": form_delete})
    
    def post(self,req):
        form = tambah_pasien()
        daftar_pasien = [(nama_pasien.nama_pasien, nama_pasien.nama_pasien) for nama_pasien in Pasien.objects.all()]
        form_delete = hapus_pasien(daftar_pasien, req.POST)
        if form_delete.is_valid():
            print(form_delete)
            Pasien.objects.get(nama_pasien=req.POST.get("nama")).delete()
            return redirect("main:pasien")
        return render(req, self.namaTemplate, {"form": form, "delete": form_delete})

def get_pasien(req):
    nama = Pasien.objects.all()
    return render(req, "main/pasien.html", {'nama': nama})

def get_daftar_pasien(req, name):
    nama_pasien = Pasien.objects.get(pk=name)
    return render(req, "main/data_pasien.html", {"nama_pasien": nama_pasien})

main/templates/main/covidtest.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Test</title>
{% endblock meta %}

{% block content %}
<div class = "container" style="margin-top: 100px; margin-bottom: 60px;">
	<article style="box-shadow: 0 4px 8px 0;
        border-radius: 10px;
        padding: 30px;
        margin: 20px 20px 20px 20px;
        background-color:#30475e;">
        <h2 class="text-white" style="text-align: center; color: azure;">TES GEJALA COVID-19</h2>  
	</article>
	<br><br>
	<div class = "row">
		<div class = "col-md">
			<form method="POST" action="result">
				<div class="form-group">
				<p>Jika "Ya" silakan klik (ceklis) pada kotak yang tersedia</p>
				{% csrf_token %}
				<table border="1">
				{{ covidtest }}
				</table>
				<br>
				<input type="submit" class="btn btn-primary" value="Check">
				</div>
			</form>
		</div>
	</div>
</div>

{% endblock content %}

main/templates/main/data_pasien.html
{% extends 'base.html' %}
{% load crispy_forms_tags %}
{% load static %}

{% block meta %}
<title>Data Pasien</title>
{% endblock meta %}

{% block content %}
<article style="background-color: #30475e;">
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-6" style="margin-top: 150px; margin-bottom: 100px;">
            <div class="card mt-2">
                <div class="card-body">
                    <h3 class="card-title">{{ nama_pasien.nama_pasien }}</h3>
                    <div>
                        <h5>Umur</h5>
                        <span>{{ nama_pasien.umur }}</span>
                    </div><br>
                    <div>
                        <h5>Jenis Kelamin</h5>
                        <span>{{ nama_pasien.gender }}</span>
                    </div><br>
                    <div>
                        <h5>Pekerjaan</h5>
                        <span>{{ nama_pasien.pekerjaan }}</span>
                    </div><br>
                    <div>
                        <h5>Alamat</h5>
                        <span>{{ nama_pasien.alamat }}</span>
                    </div><br>
                    <div>
                        <h5>Berat Badan</h5>
                        <span>{{ nama_pasien.berat_badan }}</span>
                    </div><br>
                    <div>
                        <h5>Tinggi Badan</h5>
                        <span>{{ nama_pasien.tinggi_badan }}</span>
                    </div><br>
                    <div>
                        <h5>Keluhan</h5>
                        <span>{{ nama_pasien.keluhan }}</span>
                    </div><br>
                    <div>
                        <h5>Email</h5>
                        <span>{{ nama_pasien.email }}</span>
                    </div><br>
                </div>
            </div>
        </div>
    </div>
</div>
</article>
{% endblock %}

main/templates/main/negatif.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Hasil pemeriksaan covid-19</title>
{% endblock meta %}

{% block content %}
  <div style="background-color: white; padding: 70px;">
    <article style="box-shadow: 0 4px 8px 0;
        border-radius: 10px;
        padding: 20px;
        margin: 20px 20px 20px 20px;
        background-color:#30475e;">
        <h1 class="text-white" style="text-align: center; color: azure;">Hasil pemeriksaan covid-19</h1>  
    </article>
    <article style="box-shadow: 0 4px 8px 0;
        border-radius: 10px;
        padding: 20px;
        margin: 20px 20px 20px 20px;
        background-color:#30475e;
        text-align: center;">
        <h2 class="text-white" style="color: azure; font-weight: bold;"> NEGATIF </h2>
        <p class="text-white" style="color: azure;">Tetap jaga kesehatan dan ikuti anjuran pemerintah untuk 
        mencegah penularan covid-19</p>
        <button type="button" class="btn btn-success" onclick="window.location.href='/pencegahan-covid-19'">Tata cara pencegahan Covid-19</button>
    </article>
    
  </div>
{% endblock content %}

main/templates/main/pasien.html
{% extends 'base.html' %}
{% load crispy_forms_tags %}
{% load static %}

{% block meta %}
<title>Pasien</title>
{% endblock meta %}

{% block content %}
<article style="background-color: #30475e;">
<div class="container">
    <div class="row justify-content-center mt-5">
        <div class="col-md-6" style="margin-top: 150px; margin-bottom: 150px;">
            <div class="card jus">
                <div class="card-body">
                    <h3 class="card-title">Daftar Pasien</h3>
                    <ol>
                    {% for i in nama %}
                    <li><a href="{% url 'main:data-pasien' i.nama_pasien %}">{{ i.nama_pasien }}</a></li>
                    {% endfor %}
                </ol>
            </div>
        </div>
    </div>
</div>
</article>
{% endblock content %}

main/templates/main/pencegahan.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Pencegahan Penularan Covid-19</title>
{% endblock meta %}

{% block content %}
<div style="background-color: white; padding: 70px;">
    <article style="box-shadow: 0 4px 8px 0;
        border-radius: 10px;
        padding: 40px;
        margin: 20px 20px 20px 20px;
        background-color:#30475e;">
        <h2 class="text-white" style="text-align: center; color: azure;">TATA CARA PENCEGAHAN PENULARAN COVID-19</h2>  
    </article>
    <article style="box-shadow: 0 4px 8px 0;
        border-radius: 10px;
        padding: 20px;
        margin: 20px 20px 20px 20px;
        background-color:#30475e;">
        <h3 class="text-white" style="color: azure;">Pencegahan</h3>
        <ul style="color: azure;">
            <li>Rajin mencuci tangan minimal 20 detik dengan sabun dan air bersih yang mengalir</li>
            <li>Selalu perhatikan jarak fisik dengan orang lain yakni minimal 1 meter</li>
            <li>Gunakan masker jika pergi keluar rumah. Hindari untuk menggunakan satu masker secara berulang-ulang</li>
            <li>Hindari menyentuh wajah jika belum mencuci tangan hingga bersih</li>
            <li>Terapkan etika bersin dan batuk dengan benar menggunakan siku tangan bagian dalam atau tisu bersih</li>
            <li>Hindari interaksi secara langsung seperti berpelukan, berjabat tangan, dan lain sebagainya</li>
            <li>Selalu gunakan barang sendiri dan hindari untuk meminjam barang pada orang lain</li>
            <li>Konsumsi gizi yang seimbang. Perbanyak sayur dan buah-buahan</li>
            <li>Jangan mengonsumsi daging yang tidak dimasak</li>
            <li>Rajin berolahraga dan istirahat yang cukup</li>
            <li>Hati-hati jika ingin kontak dengan hewan liar</li>
            <li>Jika batuk, pilek, dan sesak napas segera menghubungi fasilitas kesehatan</li>
        </ul>
    </article>
    <article style="box-shadow: 0 4px 8px 0;
        border-radius: 10px;
        padding: 20px;
        margin: 20px 20px 20px 20px;
        background-color:#30475e;">
        <h3 class="text-white" style="color: azure;">Cara Memakai Masker dengan Benar</h3>
        <br>
        <img class="img-fluid" src="{% static 'img/cara-memakai-masker-yang-benar.jpg' %}" alt="cara-memakai-masker-yang-benar" class="mx-auto d-block" style="max-height: 700px; object-fit: cover; display: block; margin-left: auto; margin-right: auto;">
    </article>
    <article style="box-shadow: 0 4px 8px 0;
        border-radius: 10px;
        padding: 20px;
        margin: 20px 20px 20px 20px;
        background-color:#30475e;">
        <h3 class="text-white" style="color: azure;">Cara Mencuci Tangan dengan Benar</h3>
        <br>
        <img class="img-fluid" src="{% static 'img/cuci-tangan-pakai-sabun.jpg' %}" alt="cuci-tangan-pakai-sabun" class="mx-auto d-block" style="max-height: 700px; object-fit: cover; display: block; margin-left: auto; margin-right: auto;">
    </article>
    <article style="box-shadow: 0 4px 8px 0;
        border-radius: 10px;
        padding: 20px;
        margin: 20px 20px 20px 20px;
        background-color:#30475e;">
        <h3 class="text-white" style="color: azure;">Penggunaan Sabun dan Handsanitizer</h3>
        <br>
        <img class="img-fluid" src="{% static 'img/penggunaan-sabun-dan-handsanitizer.jpg' %}" alt="penggunaan-sabun-dan-handsanitizer" class="mx-auto d-block" style="max-height: 500px; object-fit: cover; display: block; margin-left: auto; margin-right: auto;">
    </article> 
    <article style="box-shadow: 0 4px 8px 0;
        border-radius: 10px;
        padding: 20px;
        margin: 20px 20px 20px 20px;
        background-color:#30475e;">
        <h3 class="text-white" style="color: azure;">Etika Batuk yang Baik</h3>
        <br>
        <img class="img-fluid" src="{% static 'img/etika-batuk-yang-baik.jpg' %}" alt="etika-batuk-yang-baik" class="mx-auto d-block" style="max-height: 600px; object-fit: cover; display: block; margin-left: auto; margin-right: auto;">
    </article>
    <article style="box-shadow: 0 4px 8px 0;
        border-radius: 10px;
        padding: 20px;
        margin: 20px 20px 20px 20px;
        background-color:#30475e;">
        <h3 class="text-white" style="color: azure;">Social/Physical Distancing</h3>
        <br>
        <img class="img-fluid" src="{% static 'img/menjaga-jarak-social-distancing.jpg' %}" alt="menjaga-jarak-social-distancing" class="mx-auto d-block" style="max-height: 600px; object-fit: cover; display: block; margin-left: auto; margin-right: auto;">
    </article>
    <article style="box-shadow: 0 4px 8px 0;
        border-radius: 10px;
        padding: 20px;
        margin: 20px 20px 20px 20px;
        background-color:#30475e;">
        <h3 class="text-white" style="color: azure;">Gerakan Hidup Sehat</h3>
        <br>
        <img class="img-fluid" src="{% static 'img/gerakan-masyarakat-hidup-sehat.jpg' %}" alt="gerakan-masyarakat-hidup-sehat" class="mx-auto d-block" style="max-height: 700px; object-fit: cover; display: block; margin-left: auto; margin-right: auto;">
    </article>
    <article style="box-shadow: 0 4px 8px 0;
        border-radius: 10px;
        padding: 20px;
        margin: 20px 20px 20px 20px;
        background-color:#30475e;">
        <h3 class="text-white" style="color: azure;">Alur Pemeriksaan Diri</h3>
        <br>
        <img class="img-fluid" src="{% static 'img/alur-pemeriksaan-diri.jpg' %}" alt="alur-pemeriksaan-diri" class="mx-auto d-block" style="max-height: 500px; object-fit: cover; display: block; margin-left: auto; margin-right: auto;">
    </article>
    <article style="box-shadow: 0 4px 8px 0;
        border-radius: 10px;
        padding: 20px;
        margin: 20px 20px 20px 20px;
        background-color:#30475e;">
        <h3 class="text-white" style="color: azure;">Di Rumah Saja jika Tidak Ada Kepentingan</h3>
        <br>
        <img class="img-fluid" src="{% static 'img/yuk-di-rumah-saja.jpg' %}" alt="yuk-di-rumah-saja" class="mx-auto d-block" style="max-height: 600px; object-fit: cover; display: block; margin-left: auto; margin-right: auto;">
    </article>
    <article style="box-shadow: 0 4px 8px 0;
        border-radius: 10px;
        padding: 20px;
        margin: 20px 20px 20px 20px;
        background-color:#30475e;">
        <h3 class="text-white" style="color: azure;">Panduan Work From Home</h3>
        <br>
        <img class="img-fluid" src="{% static 'img/panduan-work-from-home.jpg' %}" alt="panduan-work-from-home" class="mx-auto d-block" style="max-height: 500px; object-fit: cover; display: block; margin-left: auto; margin-right: auto;">
    </article>
    <br>
    <h2 class="font-weight-bold" style="color: rgb(5, 5, 5);">Tinggalkan komentar</h2>
    <form action="add_comment" method="POST">
        {% csrf_token %}
        <table class="table table-striped">
            {{ CommentForm.as_table }}
        </table>
        <input type="submit" class="btn btn-primary" value="Submit">
    </form>
    <table class="table">
    {% if persons %}
        {% for textData in persons %}
        <tr>
            <td>
                <div style="box-shadow: 0 4px 8px 0;
                border-radius: 10px;
                padding: 20px;
                margin: 20px 20px 20px 20px;
                background-color:#42305e;">
                    <p class="text-white" style="font-weight: bold;">{{textData.nama}}</p>
                    <p class="text-white">{{textData.created}}</p>
                    <div class="dropdown-divider"></div>
                    <p class="text-white">{{textData.komentar}}</p>
                </div>
            </td>
            <td>
                <td><a class="btn btn-danger" style="margin-top: 50px;" href="{% url 'main:delete' textData.id %}" title="">Delete</a></td>
            </td>
        </tr>
        {% endfor %}
    {% endif %}
    </table>
</div>
{% endblock content %}

main/templates/main/positif.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Hasil pemeriksaan covid-19</title>
{% endblock meta %}

{% block content %}
  <div style="background-color: white; padding: 70px;">
    <article style="box-shadow: 0 4px 8px 0;
        border-radius: 10px;
        padding: 20px;
        margin: 20px 20px 20px 20px;
        background-color:#30475e;">
        <h1 class="text-white" style="text-align: center; color: azure;">Hasil pemeriksaan covid-19</h1>  
    </article>
    <article style="box-shadow: 0 4px 8px 0;
        border-radius: 10px;
        padding: 20px;
        margin: 20px 20px 20px 20px;
        background-color:#30475e;
        text-align: center;">
        <h2 class="text-white" style="color: azure; font-weight: bold;"> POSITIF </h2>
        <img class="img-fluid" src="{% static 'img/positif.jpg' %}" alt="Saran-terindikasi-positif" class="mx-auto d-block" style="max-height: 700px; object-fit: cover; display: block; margin-left: auto; margin-right: auto;">
        <p class="text-white" style="text-align: center; color: azure;">Segera periksakan diri anda ke pakar medis agar nantinya 
          dapat dilakukan serangkaian tes lebih lanjut untuk memastikan kesehatan anda. Untuk sementara waktu, anda disarankan untuk 
          melakukan isolasi mandiri di rumah agar dapat mencegah penularan virus covid-19 ke orang disekitar anda.</p>
          <br>
          <button type="button" class="btn btn-warning" onclick="window.location.href='/rumah-sakit-rujukan'">Daftar Rumah Sakit rujukan Covid-19</button>
    </article>
    
  </div>
{% endblock content %}

main/templates/main/tambah_pasien.html
{% extends 'base.html' %}
{% load crispy_forms_tags %}
{% load static %}

{% block meta %}
<title>Tambah Pasien</title>
{% endblock meta %}

{% block content %}
<article  style="background-color: #30475e;">
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-6" style="margin-top: 150px;">
            <div class="card mt-2">
                <div class="card-body">
                    <h3 class="card-title" style="text-align: center;">Tambah Pasien</h3>
                    <form action="{% url 'main:tambah-pasien' %}" method="POST" style="color: #30475e; font-weight: bolder;">
                        {% csrf_token %}
                        {{ form|crispy }}
                        <br>
                        <button type="submit" class="btn btn-primary">Daftar</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <div class="row justify-content-center mt-5">
        <div class="col-md-6" style="margin-bottom: 100px;">
            <div class="card">
                <div class="card-body">
                    <h3 class="card-title" style="text-align: center;">Hapus Pasien</h3>
                    <form action="{% url 'main:hapus-pasien' %}" class="border-3" method="POST" style="color: #30475e; font-weight: bolder;">
                        {% csrf_token %}
                        {{ delete|crispy }}
                        <br>
                        <button type="submit" class="btn btn-dark">Hapus</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
</article>
{% endblock content %}

templates/base.html
{% load static %}
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link rel="stylesheet" href="{% static 'css/style.css' %}">
  <!-- Bootstrap CSS -->
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
  {% block meta %}
  <title>Base</title>
  {% endblock meta %}
</head>

<body>
  <nav class="navbar navbar-expand navbar-dark bg-dark fixed-top" id="mainNav">
    <div class="container text">
    <a class="navbar-brand font-weight-bold text-black" href="{% url 'main:home' %}">BERANDA</a>
    <button class="navbar-toggler navbar-toggler-right" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarNav">
      <ul class="navbar-nav ml-auto">
        <li class="nav-item dropdown">
          <a class="nav-link dropdown-toggle text-black" href="#informasi" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
              INFORMASI
          </a>
          <div class="dropdown-menu" aria-labelledby="navbarDropdown">
              <a class="dropdown-item " href="{% url 'main:rumah-sakit-rujukan' %}">DAFTAR RS RUJUKAN</a>
              <div class="dropdown-divider"></div>
              <a class="dropdown-item" href="/pencegahan-covid-19">PENCEGAHAN PENULARAN COVID-19</a>
          </div>
        </li>
        <li class="nav-item">
          <a class="nav-link js-scroll-trigger text-black" href="/test">TES GEJALA COVID-19</a>
        </li>
        <li class="nav-item dropdown">
          <a class="nav-link dropdown-toggle text-black" href="#rapid" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
              RAPID TEST
          </a>
          <div class="dropdown-menu" aria-labelledby="navbarDropdown">
              <a class="dropdown-item " href="{% url 'main:pasien' %}">DAFTAR PASIEN</a>
              <div class="dropdown-divider"></div>
              <a class="dropdown-item" href="{% url 'main:tambah-pasien' %}">TAMBAH/HAPUS PASIEN</a>
          </div>
        </li>
      </ul>
    </div>
    </div>
  </nav>

  {% block content %}
  {% endblock content %}

  <!-- Optional JavaScript -->
  <!-- jQuery first, then Popper.js, then Bootstrap JS -->
  <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
  <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js" integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous"></script>
  <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js" integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV" crossorigin="anonymous"></script>  
</body>

<footer class="page-footer font-small blue bg-dark" style="color: white; padding-top: 10px;">
  <div class="footer-copyright text-center py-3">
  <p>© 2020 Copyright: PPW Kelompok B02-TK-1</p>
  </div>
</footer>

</html>